LobCreator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc
Interface LobCreator

All Known Implementing Classes:
  AbstractLobCreator, ContextualLobCreator, NonContextualLobCreator

    public interface LobCreator

Contract for creating various LOB references.

Method Summary
`Blob` | `createBlob(byte[] bytes)` Create a BLOB reference encapsulating the given byte array.
`Blob` | `createBlob(InputStream stream, long length)` Create a BLOB reference encapsulating the given binary stream.
`Clob` | `createClob(Reader reader, long length)` Create a CLOB reference encapsulating the given character data.
`Clob` | `createClob(String string)` Create a CLOB reference encapsulating the given String data.
`NClob` | `createNClob(Reader reader, long length)` Create a NCLOB reference encapsulating the given character data.
`NClob` | `createNClob(String string)` Create a NCLOB reference encapsulating the given String data.
`Blob` | `wrap(Blob blob)` Wrap the given blob in a serializable wrapper.
`Clob` | `wrap(Clob clob)` Wrap the given clob in a serializable wrapper.

Method Detail

### wrap

    Blob wrap(Blob blob)

  Wrap the given blob in a serializable wrapper.

  Parameters:
    `blob` - The blob to be wrapped.
  Returns:
    The wrapped blob which will be castable to `Blob` as well as `WrappedBlob`.

### wrap

    Clob wrap(Clob clob)

  Wrap the given clob in a serializable wrapper.

  Parameters:
    `clob` - The clob to be wrapped.
  Returns:
    The wrapped clob which will be castable to `Clob` as well as `WrappedClob`.

### createBlob

    Blob createBlob(byte[] bytes)

  Create a BLOB reference encapsulating the given byte array.

  Parameters:
    `bytes` - The byte array to wrap as a blob.
  Returns:
    The created blob, castable to `Blob` as well as `BlobImplementer`

### createBlob

    Blob createBlob(InputStream stream,
                    long length)

  Create a BLOB reference encapsulating the given binary stream.

  Parameters:
    `stream` - The binary stream to wrap as a blob.
    `length` - The length of the stream.
  Returns:
    The created blob, castable to `Blob` as well as `BlobImplementer`

### createClob

    Clob createClob(String string)

  Create a CLOB reference encapsulating the given String data.

  Parameters:
    `string` - The String to wrap as a clob.
  Returns:
    The created clob, castable to `Clob` as well as `ClobImplementer`

### createClob

    Clob createClob(Reader reader,
                    long length)

  Create a CLOB reference encapsulating the given character data.

  Parameters:
    `reader` - The character data reader.
    `length` - The length of the reader data.
  Returns:
    The created clob, castable to `Clob` as well as `ClobImplementer`

### createNClob

    NClob createNClob(String string)

  Create a NCLOB reference encapsulating the given String data.

  Parameters:
    `string` - The String to wrap as a NCLOB.
  Returns:
    The created NCLOB, castable as `Clob` as well as `NClobImplementer`. In JDK 1.6 environments, also castable to java.sql.NClob

### createNClob

    NClob createNClob(Reader reader,
                      long length)

  Create a NCLOB reference encapsulating the given character data.

  Parameters:
    `reader` - The character data reader.
    `length` - The length of the reader data.
  Returns:
    The created NCLOB, castable as `Clob` as well as `NClobImplementer`. In JDK 1.6 environments, also castable to java.sql.NClob

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.